Skip to main content
GET
/
tokenization
/
tokens
TypeScript
const response: Promise<FireblocksResponse<TokensPaginatedResponse>> = fireblocks.tokenization.getLinkedTokens(tokenizationApiGetLinkedTokensRequest);
{
  "data": [
    {
      "id": "fbfbfbfb-fbfb-fbfb-fbfb-fbfbfbfbfbfb",
      "status": "COMPLETED",
      "type": "NON_FUNGIBLE_TOKEN",
      "refId": "BQ5R_MY_TOKEN",
      "displayName": "My Simple ERC20 Token",
      "tokenMetadata": {
        "assetId": "BQ5R_MY_TOKEN",
        "name": "MyToken",
        "symbol": "MYT",
        "networkProtocol": "ETH",
        "totalSupply": "1000000000000000",
        "holdersCount": "6",
        "type": "ERC20",
        "contractAddress": "0x1234567890abcdef1234567890abcdef12345678",
        "issuerAddress": "rGyXjc5d7s17vvt3NtKKascvJrnSxV21kQ",
        "testnet": true,
        "blockchain": "ETH_TEST5",
        "decimals": 18,
        "vaultAccountId": "0"
      }
    }
  ],
  "next": "eJ0eXAiOiJKV1QiLCJhbGcOiJIUzI1NiJ9"
}

Documentation Index

Fetch the complete documentation index at: https://fireblocks-43c4b3ee-chore-add-cli.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

pageCursor
string

Page cursor to get the next page

pageSize
number

Number of items per page, requesting more then max will return max items

Required range: 1 <= x <= 100

Response

data
object[]
required

The data of the current page

next
string | null

The ID of the next page

Example:

"eJ0eXAiOiJKV1QiLCJhbGcOiJIUzI1NiJ9"